[![Build Status](https://build.devloop.de/api/badges/damage/mavor/status.svg)](https://build.devloop.de/damage/mavor)

# mavor
download a maven artifact and all its dependencies as zip

## Environment Variables
this environment variables are preset in docker image:
* `MAVOR_MAVEN_EXECUTABLE`: path to the maven executable
* `MAVOR_TEMP_DIR`: path to a readable and writeable directory to temporarily store files

this environemnt variables are required to be set in docker container:
* `MAVOR_OPENID_CLIENT_ID`: OpenID Client ID
* `MAVOR_OPENID_CLIENT_SECRET`: OpenID Client Secret - not yet providing docker secrets
* `MAVOR_OPENID_REDIRECT_URL`: OpenID Redirect URL - where to redirect after authentication
* `MAVOR_OPENID_AUTH_URL`: OpenID Authentication URL - where to redirect client for authentication
* `MAVOR_OPENID_TOKEN_URL`: OpenID Token URL - where to get a valid token after authentication
* `MAVOR_OPENID_USERINFO_URL`: OpenID User Info URL - where to get user informations from
* `MOVOR_OPENID_LOGOUT_URL`: OpenID Logout URL - where to redirect client for logout

## Development
To avoid setting environment variables during devleopment, create `src/main/resources/development.properties` with content like:
```
MAVOR_MAVEN_EXECUTABLE=/usr/bin/mvn
MAVOR_TEMP_DIR=/home/damage/Temp
MAVOR_OPENID_CLIENT_ID=foo
MAVOR_OPENID_CLIENT_SECRET=bar
MAVOR_OPENID_REDIRECT_URL=http://localhost:8080/mavor/authenticate
MAVOR_OPENID_AUTH_URL=https://auth.devloop.de/application/o/authorize/
MAVOR_OPENID_TOKEN_URL=https://auth.devloop.de/application/o/token/
MAVOR_OPENID_USERINFO_URL=https://auth.devloop.de/application/o/userinfo/
MOVOR_OPENID_LOGOUT_URL=https://auth.devloop.de/application/o/devloop-mavor-development/end-session/
```